com.tibbo.aggregate.common

## Class AggreGateException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.tibbo.aggregate.common.AggreGateException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    BindingException, ContextException, DaoException, DeviceException, DisconnectionException, EvaluationException, EventHandlingException, PluginException, RemoteDeviceErrorException, ScriptException, StorageException, SyntaxErrorException

      public class AggreGateException
      extends java.lang.Exception

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AggreGateException(java.lang.String message)`
    `AggreGateException(java.lang.String message, java.lang.String details)`
    `AggreGateException(java.lang.String message, java.lang.Throwable cause)`
    `AggreGateException(java.lang.String message, java.lang.Throwable cause, java.lang.String details)`
    `AggreGateException(java.lang.Throwable cause)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCode()`
    `java.lang.String` | `getDetails()`
    `void` | `setCode(java.lang.String code)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AggreGateException

          public AggreGateException(java.lang.String message)

    - #### AggreGateException

          public AggreGateException(java.lang.String message,
                                    java.lang.String details)

    - #### AggreGateException

          public AggreGateException(java.lang.Throwable cause)

    - #### AggreGateException

          public AggreGateException(java.lang.String message,
                                    java.lang.Throwable cause)

    - #### AggreGateException

          public AggreGateException(java.lang.String message,
                                    java.lang.Throwable cause,
                                    java.lang.String details)

  - ### Method Detail

    - #### getDetails

          public java.lang.String getDetails()

    - #### getCode

          public java.lang.String getCode()

    - #### setCode

          public void setCode(java.lang.String code)